#!/bin/sh

# Terminate or kill?
KILL="no"
if test "x$1" = "xkill" ; then
   KILL="yes"
fi

ps ax | grep testxrd | grep -v grep > grep.out

while read -r pid dum ; do
   if test "x$KILL" = "xyes" ; then
      echo "Killing $pid ..."
      kill -9 $pid
   else
      echo "Terminating $pid ..."
      kill -15 $pid
   fi
done < grep.out

rm -f grep.out
